#pragma once

#include "BkDialogST.h"
#include "BlendedStaticST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgBlendedStaticST : public CBkDialogST
{
public:
	CDlgBlendedStaticST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgBlendedStaticST)
	enum { IDD = IDD_BLENDEDSTATICST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgBlendedStaticST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	// Generated message map functions
	//{{AFX_MSG(CDlgBlendedStaticST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnPostEraseBkgnd(CDC* pDC);
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CFont				m_fntBold;
	CBlendedStaticST			m_stcLine1;
	CBlendedStaticST			m_stcLine2;
	CBlendedStaticST			m_stcLine3;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
